<?xml version="1.0" encoding="utf-8"?>

<objects xmlns='http://www.springframework.net'
         xmlns:db="http://www.springframework.net/database"
         xmlns:tx="http://www.springframework.net/tx"
         xmlns:aop="http://www.springframework.net/aop">

  <object id="CacheAspectDominioFenix" type="Spring.Aspects.Cache.CacheAspect, Spring.Aop" />

  <object id="ListarCidadesPorEstadoCache" type="MicroUniverso.Spring.Caching.ExpirationCache, MicroUniverso.Spring">
    <property name="TimeToLive" value="20:00:00" />
  </object>

  <object id="ListarBairrosPreCadastradosCache" type="MicroUniverso.Spring.Caching.ExpirationCache, MicroUniverso.Spring">
    <property name="TimeToLive" value="20:00:00" />
  </object>

  <object id="ListarClassificacoesCache" type="MicroUniverso.Spring.Caching.ExpirationCache, MicroUniverso.Spring">
    <property name="TimeToLive" value="20:00:00" />
  </object>

  <object id="ListarEstadosCache" type="MicroUniverso.Spring.Caching.ExpirationCache, MicroUniverso.Spring">
    <property name="TimeToLive" value="20:00:00" />
  </object>

  <object type="Spring.Aop.Framework.AutoProxy.ObjectNameAutoProxyCreator, Spring.Aop">
    <property name="ObjectNames">
      <list>
        <value>MicroUniverso.Dominio.Repositorios*</value>
      </list>
    </property>
    <property name="InterceptorNames">
      <list>
        <value>CacheAspectDominioFenix</value>
      </list>
    </property>
  </object>


</objects>